> ## Documentation Index
> Fetch the complete documentation index at: https://docs.up.telestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a list of jobs associated with the specified workflow.



## OpenAPI

````yaml https://api.up.telestream.com/workflow/api/v1/openapi.yaml get /{space_id}/workflows/{workflow_id}/jobs
openapi: 3.0.3
info:
  title: UP.Workflow API Specification
  version: 1.0.0
  description: Telestream UP.Workflow API Specification
  termsOfService: https://www.telestream.net/telestream-cloud/terms.htm
  contact:
    name: API Support
    url: https://www.telestream.com
    email: cloudsupport@telestream.net
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.up.telestream.com/workflow/api/v1
security:
  - BearerAuth: []
tags:
  - name: workflow
    description: Operations related to the workflow level
  - name: job
    description: Operations related to the job level
  - name: access
    description: Operations related to the access level
paths:
  /{space_id}/workflows/{workflow_id}/jobs:
    parameters:
      - $ref: '#/components/parameters/space_id'
      - $ref: '#/components/parameters/workflow_id'
    get:
      tags:
        - job
      summary: Returns a list of jobs associated with the specified workflow.
      operationId: listWorkflowJobs
      parameters:
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/per_page'
        - name: status
          description: Filter WorkflowJobs by status
          schema:
            enum:
              - in-process
              - completed
              - created
            type: string
          in: query
          required: false
        - name: query
          description: Filter jobs by query
          schema:
            type: string
          in: query
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowJobsCollection'
          description: List Workflow Jobs
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - BearerAuth:
            - workflow:access
components:
  parameters:
    space_id:
      name: space_id
      description: UP Space Id
      schema:
        type: string
        format: uuid
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
      in: path
      required: true
    workflow_id:
      name: workflow_id
      description: Unique identifier of a Workflow
      schema:
        type: string
        format: uuid
        example: e3c908ad-dc8f-4edb-88f7-c84dec0aef99
      in: path
      required: true
    page:
      name: page
      description: Page
      schema:
        default: 1
        type: integer
      in: query
      required: false
    per_page:
      name: per_page
      description: Number of entries per page
      schema:
        default: 30
        type: integer
      in: query
      required: false
  schemas:
    WorkflowJobsCollection:
      type: object
      properties:
        workflow_jobs:
          description: List of Workflow Jobs for current page
          type: array
          items:
            $ref: '#/components/schemas/WorkflowJob'
        page:
          description: Number of current page
          type: integer
          example:
            - 1
        per_page:
          description: Quantity of Workflow Jobs to show on one page
          type: integer
          example:
            - 30
        page_count:
          description: Total number of pages
          type: integer
          example:
            - 27
        total_count:
          description: Total number of Workflow Jobs
          type: integer
          example:
            - 1024
    WorkflowJob:
      type: object
      properties:
        id:
          description: Unique Job Identifier
          type: string
          readOnly: true
          example:
            - e75e68e192e6fc04ea3940d302d7bec5
        name:
          description: Workflow Job Name
          type: string
          example:
            - Sample Workflow Job Name
        workflow_id:
          description: The identifier of the workflow associated with this job
          type: string
          readOnly: true
          example:
            - e3c908ad-dc8f-4edb-88f7-c84dec0aef99
        workflow_name:
          description: The name of the workflow that this job was associated with
          type: string
          example:
            - MyWorkflow
        progress:
          description: Workflow Job Progress
          type: number
          readOnly: true
          example:
            - 90
        state:
          $ref: '#/components/schemas/JobState'
        workflow_version:
          description: Workflow Version indicates the revision name
          type: string
        created_at:
          format: date-time
          description: >-
            Timestamp when Workflow Job was created as UTC time in iso8601
            format
          type: string
          readOnly: true
          example:
            - '2020-01-21T15:53:12.388317Z'
        updated_at:
          format: date-time
          description: >-
            Timestamp when Workflow Job was updated as UTC time in iso8601
            format
          type: string
          readOnly: true
          example:
            - '2020-01-22T15:53:12.182617Z'
        elapsed_time:
          format: TimeSpan
          description: >-
            The elapsed time for the workflow job processing calculated as the
            difference between created_at and updated_at timestamps. This field
            is only populated when the workflow job is in a terminal state such
            as succeeded, failed or stopped.
          type: string
          readOnly: true
          nullable: true
          example:
            - 136.08:01:23.5
            - '1:23:45'
    JobState:
      enum:
        - created
        - in-process
        - succeeded
        - failed
        - stopped
        - retry
        - malfunctioned
      type: string
      readOnly: true
      example:
        - in-process
        - succeeded
        - failed
  responses:
    Unauthorized:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: You don't have permission to access this resource
      description: Not authorized
    InternalError:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: 500 internal error
      description: 500 Internal error
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: API key passed as a Bearer token in the Authorization header
      flows:
        implicit:
          authorizationUrl: /auth/oauth2
          scopes:
            workflow:access: Basic access
            workflow:workflow-management: Management access
            workflow:admin: Admin access

````